## open-isns 0.97

=== tests/Makefile ===
#
# Simple makefile to run regression tests, and to
# document how to run them.

#
# Each test case is a perl script, testXX.pl. Run as
# 	perl testXX.pl
# Optionally followed by
#  -q	quiet - just print a header line, and the overall result
#  -v	verbose - display more detailed information, including the
#	commands being run
#  -f	fast - skip tests that take more than 15 seconds
#
# The default is to be slightly verbose, and display a comment
# about each stage of the test.

# All test related data is kept in /tmp/isns-test, with a
# subdirectory for each test.
# For instance, test01 will create
#  /tmp/isns-test/test01/server0
#  /tmp/isns-test/test01/client1
#  /tmp/isns-test/test01/dump
#
# The server and client directories will contain configuration
# data, logfiles, and (for the server) the Unix socket, the
# PID file, and the database.
#
# The dump directory contains snapshots of the on-disk database
# for each test stage (if the test stage involves a verification
# of the database).

tests:
	@for test in test*.pl; do \
		perl $$test -q; \
	done

quick:
	@for test in test*.pl; do \
		perl $$test -q --fast; \
	done

## open-isns 0.96

=== debian/changelog ===
open-isns (0.96-4) unstable; urgency=medium

  * debian/tests: refactor code, show isnsd status if auth test fails
  * Rename libisns0-udeb to libisns-nocrypto0-udeb.
    The udeb only contains the library required for future open-iscsi
    versions (there is no need to run an iSNS server in a d-i
    environment), which is the variant that's not linked against OpenSSL
    to be compatible with the GPL. In contrast to libisns0, which
    contains both versions of the library (including the OpenSSL-linked
    libisns.so.0), the package name of the udeb should reflect the name
    of the library included.

 -- Christian Seiler <christian@iwakd.de>  Fri, 05 Aug 2016 19:46:56 +0200

open-isns (0.96-3) unstable; urgency=medium

  * Build a -nocrypto variant that doesn't link against OpenSSL.
    (Required for GPL programs linking against libisns.)

 -- Christian Seiler <christian@iwakd.de>  Tue, 26 Jul 2016 11:36:52 +0200

open-isns (0.96-2) unstable; urgency=medium

  * debian/*.postrm: ask user whether to delete auth_key etc. on purge
    (Closes: #832344)
  * debian/patches: fix FTBFS on kfreebsd-*
  * debian/patches: fix FTBFS on hurd-i386
  * debian/open-isns-server.postinst: prevent hang on sysvinit systems

 -- Christian Seiler <christian@iwakd.de>  Sun, 24 Jul 2016 21:57:27 +0200

open-isns (0.96-1) unstable; urgency=low

  * Initial release. (Closes: #799061)

 -- Christian Seiler <christian@iwakd.de>  Sun, 10 Jul 2016 09:46:56 +0200

=== debian/control ===
Source: open-isns
Section: net
Priority: optional
Maintainer: Debian iSCSI Maintainers <pkg-iscsi-maintainers@lists.alioth.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
           Christian Seiler <christian@iwakd.de>
Build-Depends: debhelper (>= 9.20160403~),
               dh-exec,
               dh-systemd,
               libssl-dev,
               po-debconf
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-iscsi/open-isns.git -b debian/master
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-iscsi/open-isns.git
Homepage: https://github.com/open-iscsi/open-isns
Testsuite: autopkgtest

Package: open-isns-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: open-isns-discoveryd
Description: Internet Storage Name Service - client utilities
 Open-iSNS is an implementation of the Internet Storage Name Service
 (iSNS), according to RFC 4171, which facilitates automated discovery,
 management, and configuration of iSCSI and Fibre Channel devices on a
 TCP/IP network.
 .
 This package contains the isnsadm client utility for managing
 Open-iSNS servers.

Package: open-isns-server
Architecture: any
Depends: open-isns-utils, ${misc:Depends}, ${shlibs:Depends}
Description: Internet Storage Name Service - iSNS server
 Open-iSNS is an implementation of the Internet Storage Name Service
 (iSNS), according to RFC 4171, which facilitates automated discovery,
 management, and configuration of iSCSI and Fibre Channel devices on a
 TCP/IP network.
 .
 This package contains the isnsd server, supporting persistent storage
 registrations.

Package: open-isns-discoveryd
Architecture: any
Depends: open-isns-utils, ${misc:Depends}, ${shlibs:Depends}
Description: Internet Storage Name Service - iSNS discovery daemon
 Open-iSNS is an implementation of the Internet Storage Name Service
 (iSNS), according to RFC 4171, which facilitates automated discovery,
 management, and configuration of iSCSI and Fibre Channel devices on a
 TCP/IP network.
 .
 This package contains the isnsdd discovery daemon, handling all the
 server communications required to register a node, its portals, and to
 maintain the registration. In addition, it uses the iSNS State Change
 Notification framework to learn of new targets or initiators coming
 online and informs local services (such as the iSCSI initiator daemon)
 about these changes.

Package: libisns0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: netbase
Description: Internet Storage Name Service - shared libraries
 Open-iSNS is an implementation of the Internet Storage Name Service
 (iSNS), according to RFC 4171, which facilitates automated discovery,
 management, and configuration of iSCSI and Fibre Channel devices on a
 TCP/IP network.
 .
 This package provides the libisns shared library for use in client
 applications.

Package: libisns-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libisns0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Internet Storage Name Service - development files
 Open-iSNS is an implementation of the Internet Storage Name Service
 (iSNS), according to RFC 4171, which facilitates automated discovery,
 management, and configuration of iSCSI and Fibre Channel devices on a
 TCP/IP network.
 .
 This package provides the development libraries and header files for
 the libisns library.

Package: libisns-nocrypto0-udeb
Package-Type: udeb
Architecture: any
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internet Storage Name Service - shared libraries
 Open-iSNS is an implementation of the Internet Storage Name Service
 (iSNS), according to RFC 4171, which facilitates automated discovery,
 management, and configuration of iSCSI and Fibre Channel devices on a
 TCP/IP network.
 .
 This package provides the libisns shared library for use within the
 Debian Installer. Do not install it on a normal system.

## open-isns 0.97

=== debian/changelog ===
open-isns (0.97-3) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * Switch packaging to Salsa (Closes: #899769)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 07 Oct 2018 11:38:11 +0530

open-isns (0.97-2) unstable; urgency=medium

  [ Rui Branco ]
  * Add Portuguese translations of debconf messages (Closes: #858746)

 -- Christian Seiler <christian@iwakd.de>  Sun, 09 Apr 2017 12:58:39 +0200

open-isns (0.97-1) unstable; urgency=medium

  [ Christian Seiler ]
  * New upstream version 0.97
  * Drop debian/patches as all patches have been applied upstream.

  [ Adriano Rafael Gomes ]
  * Add Brazilian Portuguese translation of debconf messages
    (Closes: #839272)

  [ Chris Leick ]
  * Add German translation of debconf messages
    (Closes: #843765)

 -- Christian Seiler <christian@iwakd.de>  Wed, 25 Jan 2017 10:37:36 +0100

open-isns (0.96-5) unstable; urgency=medium

  [ Christian Seiler ]
  * debian/patches: replace patches with those accepted upstream
  * debian/tests/auth: avoid race condition after isnsd restart
  * debian/control: bump debhelper dependency now that version 10 is
    released
  * debian/control: use cgit instead of gitweb for Vcs-Browser

  [ Debconf translations updates ]
  * Dutch (Frans Spiesschaert). (Closes: #834627)
  * French (Jean-Pierre Giraud). (Closes: #835097)

 -- Christian Seiler <christian@iwakd.de>  Sun, 18 Sep 2016 14:11:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: open-isns
 Section: net
 Priority: optional
-Maintainer: Debian iSCSI Maintainers <pkg-iscsi-maintainers@lists.alioth.debian.org>
+Maintainer: Debian iSCSI Maintainers <open-isns@packages.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Christian Seiler <christian@iwakd.de>
-Build-Depends: debhelper (>= 9.20160403~),
+Build-Depends: debhelper (>= 10~),
                dh-exec,
                dh-systemd,
                libssl-dev,
                po-debconf
 Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-iscsi/open-isns.git -b debian/master
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-iscsi/open-isns.git
+Vcs-Git: https://salsa.debian.org/linux-blocks-team/open-isns.git
+Vcs-Browser: https://salsa.debian.org/linux-blocks-team/open-isns.git
 Homepage: https://github.com/open-iscsi/open-isns
 Testsuite: autopkgtest

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/open-isns-$1\.tar\.gz/ \
  https://github.com/open-iscsi/open-isns/releases .*/v?(\d\S*)\.tar\.gz

## open-isns 0.100

=== debian/changelog ===
open-isns (0.100-3) unstable; urgency=medium

  * Add patch from upstream to fix broken server auth initializaiton

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 07 Dec 2020 14:03:56 +0530

open-isns (0.100-2) unstable; urgency=medium

  * Fix different signedness integer expression comparison

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 23 Nov 2020 22:37:51 +0530

open-isns (0.100-1) unstable; urgency=medium

  * Drop build dependency on dh-systemd (Closes: #958592)
  * New upstream version 0.100
  * Add patch to fix build failure. Patch picked from upstream
  * Overhaul the packaging with OpenSSL

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 20 Nov 2020 20:00:00 +0530

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
            Christian Seiler <christian@iwakd.de>
 Build-Depends: debhelper (>= 10~),
                dh-exec,
-               dh-systemd,
                libssl-dev,
                po-debconf
 Standards-Version: 3.9.8
 Vcs-Git: https://salsa.debian.org/linux-blocks-team/open-isns.git
-Vcs-Browser: https://salsa.debian.org/linux-blocks-team/open-isns.git
+Vcs-Browser: https://salsa.debian.org/linux-blocks-team/open-isns
 Homepage: https://github.com/open-iscsi/open-isns
 Testsuite: autopkgtest
 
@@ -85,7 +84,7 @@
  This package provides the development libraries and header files for
  the libisns library.
 
-Package: libisns-nocrypto0-udeb
+Package: libisns-udeb
 Package-Type: udeb
 Architecture: any
 Section: debian-installer

## open-isns 0.101

=== debian/changelog ===
open-isns (0.101-1) unstable; urgency=medium

  * Team upload.
  * Install systemd units into /usr/lib (DEP17).

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 09:32:22 +0200

open-isns (0.101-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062826

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 02:32:35 +0000

open-isns (0.101-0.2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload

  [ Lena Voytek ]
  * d/open-isns-utils.install: Include isnssetup script in /usr/sbin along with
    its man documentation (Closes: #1011448)

  [ Camaleón ]
  * Add Spanish translation of the debconf template (Closes: #987392)

  [ Lev Lamberov ]
  * Add Russian translation of the debconf template (Closes: #883337)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 May 2022 09:14:29 +0200

open-isns (0.101-0.1) unstable; urgency=medium

  * New upstream release
    - Fix build with OpenSSL 3
    - Fix use of deprecated functions (Closes: #994672)
  * debian/patches: Remove patches integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 18 May 2022 00:25:21 +0200

open-isns (0.100-2ubuntu1) hirsute; urgency=medium

  * Build without -Werror to fix FTBFS.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Nov 2020 10:40:31 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian iSCSI Maintainers <open-isns@packages.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Christian Seiler <christian@iwakd.de>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10~),
                dh-exec,
                libssl-dev,
                po-debconf
@@ -55,7 +55,10 @@
  online and informs local services (such as the iSCSI initiator daemon)
  about these changes.
 
-Package: libisns0
+Package: libisns0t64
+Provides: ${t64:Provides}
+Replaces: libisns0
+Breaks: libisns0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -74,7 +77,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libisns0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libisns0t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Internet Storage Name Service - development files
  Open-iSNS is an implementation of the Internet Storage Name Service
  (iSNS), according to RFC 4171, which facilitates automated discovery,

=== debian/tests/control ===
Tests: server discoveryd auth
Restrictions: needs-root isolation-container breaks-testbed allow-stderr
Depends: open-isns-server
